commit:     5c2f58dbbbb60024a4237c563044f181dba4800a
Author:     Stefan G. Weichinger <office <AT> oops <DOT> co <DOT> at>
AuthorDate: Fri Jan 13 17:17:09 2017 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 21:57:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c2f58db

app-backup/amanda: version bump to 3.4.2, EAPI6 switch

(cherry picked from commit ed64d25637d041ff6116f3ccaf7a9656e282a9a7)
Fixes: https://github.com/gentoo/gentoo/pull/3507
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 app-backup/amanda/Manifest                         |   2 +
 app-backup/amanda/amanda-3.4.1.ebuild              | 483 +++++++++++++++++++++
 app-backup/amanda/amanda-3.4.2.ebuild              | 480 ++++++++++++++++++++
 .../amanda/files/amanda-3.4.1-labelstr.patch       | 164 +++++++
 app-backup/amanda/files/amanda-3.4.1-slots.patch   |  16 +
 5 files changed, 1145 insertions(+)

diff --git a/app-backup/amanda/Manifest b/app-backup/amanda/Manifest
index ec3355b..8427d0c 100644
--- a/app-backup/amanda/Manifest
+++ b/app-backup/amanda/Manifest
@@ -2,3 +2,5 @@ DIST amanda-3.3.3.tar.gz 4394935 SHA256 
c36c9cd61dc62a7824abb7ba74cc4b09527bd82a
 DIST amanda-3.3.5.tar.gz 4530463 SHA256 
17d14cdc64e5b98270a2ad6c1b58a5e317ab2fe0d518a4212f82f7e3d13d231b SHA512 
bef1f5271939e804387424924e6423537efa3ac1a722fe68f3afd77677e5974d8325f1a32a2a22d510344ee3d7b8f480a969611388fcb632c0f3cd640315f812
 WHIRLPOOL 
5ba8c2734cbd3a7e771b9fc7f9561596e5cda3dce1ea60b7192893fcca401e1c5da6154dcac18084ce6ef5ccacdf4899a65e255424f1bbbdafc219e8405669e4
 DIST amanda-3.3.7.tar.gz 4618547 SHA256 
cd1534c7d9c5b97afcb52b189f05fb158972fadb2cf46249847ae8bc5ad8a78a SHA512 
33066a34f5da5a37f4e8b18a365c2e5ae9cd9105a1ed05f74df95d03937bddee25167960e3daf519d3cf04b1580d9e617e48ba1a695fe683823a27ec298582f4
 WHIRLPOOL 
21c1c70d04bf8f503158d3facdf4dd479ae26d69bcbc89a9ee2812cc97667cc0c9109a7357971c0d43620cd949ea195c1affb23b754afa81438a56aad247e15d
 DIST amanda-3.3.9.tar.gz 4673301 SHA256 
2520b95ca96f1d521d582b7c94bd631486e7029eda1de8e1887d74b323549a41 SHA512 
345670a20cff335453e8dcbf457d1fcdb9f266e4a03d729c2b1ba762f4fac323de4a87713d0fd54c11ca244a08dc97fb8c641625f7fa81cb241b3c17748b1b7e
 WHIRLPOOL 
e149ab7dbc30cf3585e41d9fb338dd96ab4dd440e31723be51b8ccc9e5841f8dda31d3b89418474e31c7c2498f40177c646f03713c256a4d9341152e2ce2c8e4
+DIST amanda-3.4.1.tar.gz 5338575 SHA256 
1f69e9bdae774ac2394297dd9d7f98ccbce44ca9199317ada764ca173909d2ac SHA512 
245bf334e36fe8b4361d9fc27ea7e7ef5bd2ecec74719caa16cc94d1ebb3abbef058e28d9afd85851654aaae0984531593a35c079d1ba4aed0fc5177e907ec16
 WHIRLPOOL 
b9608456f28fb35137276f16ec24d79ae397a44450b42ec4fa28256763798dee623ab560ba0db147ff41d2abc57810e2318ae64741ea0a054a8ff853f4ad9c59
+DIST amanda-3.4.2.tar.gz 5353734 SHA256 
175c6a2ef57fe480ddeeefc920a93c8d1cde4111eec76d76e088101a53eeafac SHA512 
dea44ffa5eb30318336395ccbd582df2f83da9a4cf91def2834a2e65b2e0f36cafc1911f6b73c3afb63be256484a78b006bdeb1db5b3ecf87dc59d34754987fd
 WHIRLPOOL 
af08e2b7b42cead569b69edfa264c1439d21d455e36ba5d346a74631e037773f20cd0563c6cdf95eeea0ee0e1e45328e553a5490ef4c66545acc1a3bd85570d0

diff --git a/app-backup/amanda/amanda-3.4.1.ebuild 
b/app-backup/amanda/amanda-3.4.1.ebuild
new file mode 100644
index 00000000..824612f
--- /dev/null
+++ b/app-backup/amanda/amanda-3.4.1.ebuild
@@ -0,0 +1,483 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools perl-module user systemd
+
+DESCRIPTION="The Advanced Maryland Automatic Network Disk Archiver"
+HOMEPAGE="http://www.amanda.org/";
+SRC_URI="mirror://sourceforge/amanda/${P}.tar.gz"
+
+LICENSE="HPND BSD BSD-2 GPL-2+ GPL-3+"
+SLOT="0"
+IUSE="curl gnuplot ipv6 kerberos minimal nls readline s3 samba systemd xfs"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+RDEPEND="sys-libs/readline:=
+       virtual/awk
+       app-arch/tar
+       dev-lang/perl:=
+       app-arch/dump
+       net-misc/openssh
+       >=dev-libs/glib-2.26.0
+       dev-perl/JSON
+       dev-perl/Encode-Locale
+       nls? ( virtual/libintl )
+       s3? ( >=net-misc/curl-7.10.0 )
+       !s3? ( curl? ( >=net-misc/curl-7.10.0 ) )
+       samba? ( net-fs/samba:= )
+       kerberos? ( app-crypt/mit-krb5 )
+       xfs? ( sys-fs/xfsdump )
+       !minimal? (
+               dev-perl/XML-Simple
+               virtual/mailx
+               app-arch/mt-st:=
+               sys-block/mtx
+               gnuplot? ( sci-visualization/gnuplot )
+               app-crypt/aespipe
+               app-crypt/gnupg
+       )"
+
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+       >=app-text/docbook-xsl-stylesheets-1.72.0
+       app-text/docbook-xml-dtd
+       dev-libs/libxslt
+       dev-lang/swig
+       "
+
+MYFILESDIR="${T}/files"
+ENVDIR="/etc/env.d"
+ENVDFILE="97amanda"
+TMPENVFILE="${T}/${ENVDFILE}"
+
+# This is a complete list of Amanda settings that the ebuild takes from the
+# build environment. This allows users to alter the behavior of the package as
+# upstream intended, but keeping with Gentoo style. We store a copy of them in
+# /etc/env.d/97amanda during the install, so that they are preserved for future
+# installed. This variable name must not start with AMANDA_, as we do not want
+# it captured into the env file.
+ENV_SETTINGS_AMANDA="
+AMANDA_GROUP_GID AMANDA_GROUP_NAME
+AMANDA_USER_NAME AMANDA_USER_UID AMANDA_USER_SH AMANDA_USER_HOMEDIR 
AMANDA_USER_GROUPS
+AMANDA_SERVER AMANDA_SERVER_TAPE AMANDA_SERVER_TAPE_DEVICE AMANDA_SERVER_INDEX
+AMANDA_TAR_LISTDIR AMANDA_TAR
+AMANDA_PORTS_UDP AMANDA_PORTS_TCP AMANDA_PORTS_BOTH AMANDA_PORTS
+AMANDA_CONFIG_NAME AMANDA_TMPDIR"
+
+amanda_variable_setup() {
+
+       # Setting vars
+       local currentamanda
+
+       # Grab the current settings
+       currentamanda="$(set | egrep "^AMANDA_" | grep -v 
'^AMANDA_ENV_SETTINGS' | xargs)"
+
+       # First we set the defaults
+       [[ -z "${AMANDA_GROUP_GID}" ]] && AMANDA_GROUP_GID=87
+       [[ -z "${AMANDA_GROUP_NAME}" ]] && AMANDA_GROUP_NAME=amanda
+       [[ -z "${AMANDA_USER_NAME}" ]] && AMANDA_USER_NAME=amanda
+       [[ -z "${AMANDA_USER_UID}" ]] && AMANDA_USER_UID=87
+       [[ -z "${AMANDA_USER_SH}" ]] && AMANDA_USER_SH=/bin/bash
+       [[ -z "${AMANDA_USER_HOMEDIR}" ]] && 
AMANDA_USER_HOMEDIR=/var/spool/amanda
+       [[ -z "${AMANDA_USER_GROUPS}" ]] && 
AMANDA_USER_GROUPS="${AMANDA_GROUP_NAME}"
+
+       # This installs Amanda, with the server. However, it could be a client,
+       # just specify an alternate server name in AMANDA_SERVER.
+       [[ -z "${AMANDA_SERVER}" ]] && AMANDA_SERVER="${HOSTNAME}"
+       [[ -z "${AMANDA_SERVER_TAPE}" ]] && 
AMANDA_SERVER_TAPE="${AMANDA_SERVER}"
+       [[ -z "${AMANDA_SERVER_TAPE_DEVICE}" ]] && 
AMANDA_SERVER_TAPE_DEVICE="/dev/nst0"
+       [[ -z "${AMANDA_SERVER_INDEX}" ]] && 
AMANDA_SERVER_INDEX="${AMANDA_SERVER}"
+       [[ -z "${AMANDA_TAR_LISTDIR}" ]] && 
AMANDA_TAR_LISTDIR=${AMANDA_USER_HOMEDIR}/tar-lists
+       [[ -z "${AMANDA_CONFIG_NAME}" ]] && AMANDA_CONFIG_NAME=DailySet1
+       [[ -z "${AMANDA_TMPDIR}" ]] && AMANDA_TMPDIR=/var/tmp/amanda
+       [[ -z "${AMANDA_DBGDIR}" ]] && AMANDA_DBGDIR="$AMANDA_TMPDIR"
+       # These are left empty by default
+       [[ -z "${AMANDA_PORTS_UDP}" ]] && AMANDA_PORTS_UDP=
+       [[ -z "${AMANDA_PORTS_TCP}" ]] && AMANDA_PORTS_TCP=
+       [[ -z "${AMANDA_PORTS_BOTH}" ]] && AMANDA_PORTS_BOTH=
+       [[ -z "${AMANDA_PORTS}" ]] && AMANDA_PORTS=
+
+       # What tar to use
+       [[ -z "${AMANDA_TAR}" ]] && AMANDA_TAR=/bin/tar
+
+       # Now pull in the old stuff
+       if [[ -f "${EROOT}${ENVDIR}/${ENVDFILE}" ]]; then
+               # We don't just source it as we don't want everything in there.
+               eval $(egrep "^AMANDA_" "${EROOT}${ENVDIR}/${ENVDFILE}" | grep 
-v '^AMANDA_ENV_SETTINGS')
+       fi
+
+       # Re-apply the new settings if any
+       [ -n "${currentamanda}" ] && eval $(echo "${currentamanda}")
+
+}
+
+pkg_setup() {
+       amanda_variable_setup
+
+       # If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
+       # another host than HOSTNAME.
+       if use minimal && [ "${AMANDA_SERVER}" = "${HOSTNAME}" ] ; then
+               elog "You are installing a client-only version of Amanda."
+               elog "You should set the variable \$AMANDA_SERVER to point at 
your"
+               elog "Amanda-tape-server, otherwise you will have to specify 
its name"
+               elog "when using amrecover on the client."
+               elog "For example: Use something like"
+               elog "AMANDA_SERVER=\"myserver\" emerge amanda"
+               elog
+       fi
+
+       enewgroup "${AMANDA_GROUP_NAME}" "${AMANDA_GROUP_GID}"
+       enewuser "${AMANDA_USER_NAME}" "${AMANDA_USER_UID}" "${AMANDA_USER_SH}" 
"${AMANDA_USER_HOMEDIR}" "${AMANDA_USER_GROUPS}"
+}
+
+src_unpack() {
+       # we do not want the perl src_unpack
+       default_src_unpack
+}
+
+src_prepare() {
+       # gentoo bug #331111
+       sed -i '/^check-local: check-perl$/d' "${S}"/config/automake/scripts.am 
|| die
+       sed -i '/^check-local:/s,syntax-check,,g' "${S}"/perl/Makefile.am || die
+
+       # bug with glibc-2.16.0
+       sed -i -e '/gets is a security/d' "${S}"/gnulib/stdio.in.h || die
+
+       eautoreconf
+
+       # places for us to work in
+       mkdir -p "${MYFILESDIR}" || die
+       # Now we store the settings we just created
+       set | egrep "^AMANDA_" | grep -v '^AMANDA_ENV_SETTINGS' > 
"${TMPENVFILE}" || die
+
+       # Prepare our custom files
+       einfo "Building custom configuration files"
+       local i # our iterator
+       local sedexpr # var for sed expr
+       sedexpr=''
+       for i in ${ENV_SETTINGS_AMANDA} ; do
+               local val
+               eval "val=\"\${${i}}\""
+               sedexpr="${sedexpr}s|__${i}__|${val}|g;"
+       done
+
+       # now apply the sed expr
+       for i in "${FILESDIR}"/amanda-* ; do
+               sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}/`basename ${i}`" 
|| die
+       done
+
+       if use minimal; then
+               cat "${MYFILESDIR}"/amanda-amandahosts-server.5.1_p3-r1 > 
"${T}"/amandahosts || die
+       else
+               sed -i -e 's:^\(my $amandahomedir\)=.*:\1 = $localstatedir;:' \
+                       server-src/am{addclient,serverconfig}.pl || die
+               cat "${MYFILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 > 
"${T}"/amandahosts || die
+       fi
+
+       eapply "${FILESDIR}"/${P}-slots.patch || die
+       eapply "${FILESDIR}"/${P}-labelstr.patch || die
+
+       eapply_user
+}
+
+src_configure() {
+       # fix bug #36316
+       addpredict /var/cache/samba/gencache.tdb
+       # fix bug #376169
+       addpredict /run/blkid
+       addpredict /etc/blkid.tab
+
+       [ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) 
should exist!"
+       source "${TMPENVFILE}"
+       local myconf
+
+       einfo "Using ${AMANDA_SERVER_TAPE} for tape server."
+       myconf="${myconf} --with-tape-server=${AMANDA_SERVER_TAPE}"
+       einfo "Using ${AMANDA_SERVER_TAPE_DEVICE} for tape server."
+       myconf="${myconf} --with-tape-device=${AMANDA_SERVER_TAPE_DEVICE}"
+       einfo "Using ${AMANDA_SERVER_INDEX} for index server."
+       myconf="${myconf} --with-index-server=${AMANDA_SERVER_INDEX}"
+       einfo "Using ${AMANDA_USER_NAME} for amanda user."
+       myconf="${myconf} --with-user=${AMANDA_USER_NAME}"
+       einfo "Using ${AMANDA_GROUP_NAME} for amanda group."
+       myconf="${myconf} --with-group=${AMANDA_GROUP_NAME}"
+       einfo "Using ${AMANDA_TAR} as Tar implementation."
+       myconf="${myconf} --with-gnutar=${AMANDA_TAR}"
+       einfo "Using ${AMANDA_TAR_LISTDIR} as tar listdir."
+       myconf="${myconf} --with-gnutar-listdir=${AMANDA_TAR_LISTDIR}"
+       einfo "Using ${AMANDA_CONFIG_NAME} as default config name."
+       myconf="${myconf} --with-config=${AMANDA_CONFIG_NAME}"
+       einfo "Using ${AMANDA_TMPDIR} as Amanda temporary directory."
+       myconf="${myconf} --with-tmpdir=${AMANDA_TMPDIR}"
+
+       if [ -n "${AMANDA_PORTS_UDP}" ] && [ -n "${AMANDA_PORTS_TCP}" ] && [ -z 
"${AMANDA_PORTS_BOTH}" ] ; then
+               eerror "If you want _both_ UDP and TCP ports, please use only 
the"
+               eerror "AMANDA_PORTS environment variable for identical ports, 
or set"
+               eerror "AMANDA_PORTS_BOTH."
+               die "Bad port setup!"
+       fi
+       if [ -n "${AMANDA_PORTS_UDP}" ]; then
+               einfo "Using UDP ports ${AMANDA_PORTS_UDP/,/-}"
+               myconf="${myconf} --with-udpportrange=${AMANDA_PORTS_UDP}"
+       fi
+       if [ -n "${AMANDA_PORTS_TCP}" ]; then
+               einfo "Using TCP ports ${AMANDA_PORTS_TCP/,/-}"
+               myconf="${myconf} --with-tcpportrange=${AMANDA_PORTS_TCP}"
+       fi
+       if [ -n "${AMANDA_PORTS}" ]; then
+               einfo "Using ports ${AMANDA_PORTS/,/-}"
+               myconf="${myconf} --with-portrange=${AMANDA_PORTS}"
+       fi
+
+       # Extras
+       # Speed option
+       myconf="${myconf} --with-buffered-dump"
+       # "debugging" in the configuration is NOT debug in the conventional 
sense.
+       # It is actually just useful output in the application, and should 
remain
+       # enabled. There are some cases of breakage with MTX tape changers as of
+       # 2.5.1p2 that it exposes when turned off as well.
+       myconf="${myconf} --with-debugging"
+       # Where to put our files
+       myconf="${myconf} --localstatedir=${AMANDA_USER_HOMEDIR}"
+
+       # Samba support
+       myconf="${myconf} $(use_with samba smbclient /usr/bin/smbclient)"
+
+       # Support for BSD, SSH, BSDUDP, BSDTCP security methods all compiled in 
by
+       # default
+       myconf="${myconf} --with-bsd-security"
+       myconf="${myconf} --with-ssh-security"
+       myconf="${myconf} --with-bsdudp-security"
+       myconf="${myconf} --with-bsdtcp-security"
+
+       # kerberos-security mechanism version 5
+       myconf="${myconf} $(use_with kerberos krb5-security)"
+
+       # Amazon S3 support
+       myconf="${myconf} `use_enable s3 s3-device`"
+
+       # libcurl is required for S3 but otherwise optional
+       if ! use s3; then
+               myconf="${myconf} $(use_with curl libcurl)"
+       fi
+
+       # Client only, as requested in bug #127725
+       if use minimal ; then
+               myconf="${myconf} --without-server"
+       else
+               # amplot
+               myconf="${myconf} $(use_with gnuplot)"
+       fi
+
+       # IPv6 fun.
+       myconf="${myconf} `use_with ipv6`"
+       # This is to prevent the IPv6-is-working test
+       # As the test fails on binpkg build hosts with no IPv6.
+       use ipv6 && export amanda_cv_working_ipv6=yes
+
+       # I18N
+       myconf="${myconf} `use_enable nls`"
+
+       # Bug #296634: Perl location
+       perl_set_version
+       myconf="${myconf} --with-amperldir=${VENDOR_LIB}"
+
+       # Bug 296633: --disable-syntax-checks
+       # Some tests are not safe for production systems
+       myconf="${myconf} --disable-syntax-checks"
+
+       # build manpages
+       myconf="${myconf} --enable-manpage-build"
+
+       # bug #483120
+       tc-export AR
+
+       econf \
+               $(use_with readline) \
+               ${myconf}
+}
+
+src_compile() {
+       # Again, do not want the perl-module src_compile
+       default_src_compile
+}
+
+src_install() {
+       [ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) 
should exist!"
+       source ${TMPENVFILE}
+
+       einfo "Doing stock install"
+       emake DESTDIR="${D}" install || die
+
+       # Build the envdir file
+       # Don't forget this..
+       einfo "Building environment file"
+       (
+               echo "# These settings are what was present in the environment 
when this"
+               echo "# Amanda was compiled.  Changing anything below this 
comment will"
+               echo "# have no effect on your application, but it merely 
exists to"
+               echo "# preserve them for your next emerge of Amanda"
+               cat "${TMPENVFILE}" | sed "s,=\$,='',g"
+       ) >> "${MYFILESDIR}/${ENVDFILE}"
+
+       # Env.d
+       einfo "Installing environment config file"
+       doenvd "${MYFILESDIR}/${ENVDFILE}"
+
+       # Lock down next section (up until docs).
+       insopts -m0640
+       # Installing Amanda Xinetd Services Definition
+       einfo "Installing xinetd service file"
+       insinto /etc/xinetd.d
+       if use minimal ; then
+               newins "${MYFILESDIR}"/amanda-xinetd-2.6.1_p1-client amanda
+       else
+               newins "${MYFILESDIR}"/amanda-xinetd-2.6.1_p1-server amanda
+       fi
+
+       if ! use minimal; then
+               einfo "Installing Sample Daily Cron Job for Amanda"
+               insinto /etc/cron.daily
+               newins "${MYFILESDIR}/amanda-cron" amanda
+       fi
+
+       einfo "Installing systemd service and socket files for Amanda"
+       systemd_dounit "${FILESDIR}"/amanda.socket || die
+       systemd_newunit "${FILESDIR}"/amanda.service 'amanda@.service' || die
+
+       insinto /etc/amanda
+       einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
+       doins "${T}/amandahosts"
+       fperms 600 /etc/amanda/amandahosts
+
+       dosym /etc/amanda/amandahosts "${AMANDA_USER_HOMEDIR}/.amandahosts"
+       insinto "${AMANDA_USER_HOMEDIR}"
+       einfo "Installing .profile for ${AMANDA_USER_NAME} user"
+       newins "${MYFILESDIR}/amanda-profile" .profile
+
+       insinto /etc/amanda
+       doins "${S}/example/amanda-client.conf"
+       if ! use minimal ; then
+               insinto "/etc/amanda/${AMANDA_CONFIG_NAME}"
+               doins "${S}/example/amanda.conf"
+               doins "${S}/example/disklist"
+               keepdir "${AMANDA_USER_HOMEDIR}/${AMANDA_CONFIG_NAME}/index"
+       fi
+
+       keepdir "${AMANDA_TAR_LISTDIR}"
+       keepdir "${AMANDA_USER_HOMEDIR}/amanda"
+       keepdir "${AMANDA_TMPDIR}/dumps"
+       # Just make sure it exists for XFS to work...
+       use xfs && keepdir /var/xfsdump/inventory
+
+       local i
+       for i in "${AMANDA_USER_HOMEDIR}" "${AMANDA_TAR_LISTDIR}" \
+               "${AMANDA_TMPDIR}" /etc/amanda; do
+               einfo "Securing directory (${i})"
+               fowners -R ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${i}
+       done
+       # Do NOT use -R
+       fperms 0700 \
+               "${AMANDA_USER_HOMEDIR}" "${AMANDA_TAR_LISTDIR}" \
+               "${AMANDA_TMPDIR}" "${AMANDA_TMPDIR}/dumps" \
+                "${AMANDA_USER_HOMEDIR}/amanda" \
+                /etc/amanda
+
+       if ! use minimal ; then
+               fperms 0700 \
+                        "${AMANDA_USER_HOMEDIR}/${AMANDA_CONFIG_NAME}" \
+                /etc/amanda/${AMANDA_CONFIG_NAME}
+       fi
+
+       einfo "Setting setuid permissions"
+       amanda_permissions_fix "${D}"
+
+       # Relax permissions again
+       insopts -m0644
+
+       # docs
+       einfo "Installing documentation"
+       dodoc AUTHORS ChangeLog DEVELOPING NEWS README ReleaseNotes UPGRADING
+       # our inetd sample
+       einfo "Installing standard inetd sample"
+       newdoc "${MYFILESDIR}/amanda-inetd.amanda.sample-2.6.0_p2-r2" 
amanda-inetd.amanda.sample
+       # Amanda example configs
+       einfo "Installing example configurations"
+       rm "${D}"/usr/share/amanda/{COPYRIGHT,ChangeLog,NEWS,ReleaseNotes}
+       mv "${D}/usr/share/amanda/example" "${D}/usr/share/doc/${PF}/"
+       docinto example1
+       newdoc "${FILESDIR}/example_amanda.conf" amanda.conf
+       newdoc "${FILESDIR}/example_disklist-2.5.1_p3-r1" disklist
+       newdoc "${FILESDIR}/example_global.conf" global.conf
+
+       einfo "Cleaning up dud .la files"
+       perl_set_version
+       find "${D}"/"${VENDOR_LIB}" -name '*.la' -print0 |xargs -0 rm -f
+}
+
+pkg_postinst() {
+       [ ! -f "${TMPENVFILE}" -a "$MERGE_TYPE" == "binary" ] && \
+               TMPENVFILE="${ROOT}${ENVDIR}/${ENVDFILE}"
+       [ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) 
should exist!"
+       source "${TMPENVFILE}"
+
+       # Migration of amandates from /etc to $localstatedir/amanda
+       if [ -f "${ROOT}/etc/amandates" -a \
+               ! -f "${ROOT}/${AMANDA_USER_HOMEDIR}/amanda/amandates" ]; then
+               einfo "Migrating amandates from /etc/ to 
${AMANDA_USER_HOMEDIR}/amanda"
+               einfo "A backup is also placed at /etc/amandates.orig"
+               cp -dp "${ROOT}/etc/amandates" "${ROOT}/etc/amandates.orig"
+               mkdir -p "${ROOT}/${AMANDA_USER_HOMEDIR}/amanda/"
+               cp -dp "${ROOT}/etc/amandates" 
"${ROOT}/${AMANDA_USER_HOMEDIR}/amanda/amandates"
+       fi
+       if [ -f "${ROOT}/etc/amandates" ]; then
+               einfo "If you have migrated safely, please delete 
/etc/amandates"
+       fi
+
+       einfo "Checking setuid permissions"
+       amanda_permissions_fix "${ROOT}"
+
+       elog "You should configure Amanda in /etc/amanda now."
+       elog
+       elog "If you use xinetd, Don't forget to check /etc/xinetd.d/amanda"
+       elog "and restart xinetd afterwards!"
+       elog
+       elog "Otherwise, please look at 
/usr/share/doc/${PF}/inetd.amanda.sample"
+       elog "as an example of how to configure your inetd."
+       elog
+       elog "systemd-users: enable and start amanda.socket or the relevant 
services"
+       elog "regarding what auth method you use."
+       elog
+       elog "NOTICE: If you need raw access to partitions you need to add the"
+       elog "amanda user to the 'disk' group."
+       elog
+       elog "NOTICE: If you have a tape changer, you need to add the amanda 
user"
+       elog "to the 'tape' group."
+       elog
+       elog "If you use localhost in your disklist your restores may break."
+       elog "You should replace it with the actual hostname!"
+       elog "Please also see the syntax changes to amandahosts."
+       elog "The only exception is when you use the authentication method 
'local'."
+       elog
+       elog "Please note that this package no longer explicitly depends on"
+       elog "virtual/inetd, as it supports modes where an inetd is not needed"
+       elog "(see bug #506028 for details)."
+}
+
+# We have had reports of amanda file permissions getting screwed up.
+# Losing setuid, becoming too lax etc.
+# ONLY root and users in the amanda group should be able to run these binaries!
+amanda_permissions_fix() {
+       local root="$1"
+       [ -z "${root}" ] && die "Failed to pass root argument to 
amanda_permissions_fix!"
+       local le="/usr/libexec/amanda"
+       for i in /usr/sbin/amcheck "${le}"/calcsize "${le}"/killpgrp \
+               "${le}"/rundump "${le}"/runtar "${le}"/dumper \
+               "${le}"/planner ; do
+               chown root:${AMANDA_GROUP_NAME} "${root}"/${i}
+               chmod u=srwx,g=rx,o= "${root}"/${i}
+       done
+}

diff --git a/app-backup/amanda/amanda-3.4.2.ebuild 
b/app-backup/amanda/amanda-3.4.2.ebuild
new file mode 100644
index 00000000..472b5ab
--- /dev/null
+++ b/app-backup/amanda/amanda-3.4.2.ebuild
@@ -0,0 +1,480 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools perl-module user systemd
+
+DESCRIPTION="The Advanced Maryland Automatic Network Disk Archiver"
+HOMEPAGE="http://www.amanda.org/";
+SRC_URI="mirror://sourceforge/amanda/${P}.tar.gz"
+
+LICENSE="HPND BSD BSD-2 GPL-2+ GPL-3+"
+SLOT="0"
+IUSE="curl gnuplot ipv6 kerberos minimal nls readline s3 samba systemd xfs"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+RDEPEND="sys-libs/readline:=
+       virtual/awk
+       app-arch/tar
+       dev-lang/perl:=
+       app-arch/dump
+       net-misc/openssh
+       >=dev-libs/glib-2.26.0
+       dev-perl/JSON
+       dev-perl/Encode-Locale
+       nls? ( virtual/libintl )
+       s3? ( >=net-misc/curl-7.10.0 )
+       !s3? ( curl? ( >=net-misc/curl-7.10.0 ) )
+       samba? ( net-fs/samba:= )
+       kerberos? ( app-crypt/mit-krb5 )
+       xfs? ( sys-fs/xfsdump )
+       !minimal? (
+               dev-perl/XML-Simple
+               virtual/mailx
+               app-arch/mt-st:=
+               sys-block/mtx
+               gnuplot? ( sci-visualization/gnuplot )
+               app-crypt/aespipe
+               app-crypt/gnupg
+       )"
+
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+       >=app-text/docbook-xsl-stylesheets-1.72.0
+       app-text/docbook-xml-dtd
+       dev-libs/libxslt
+       dev-lang/swig
+       "
+
+MYFILESDIR="${T}/files"
+ENVDIR="/etc/env.d"
+ENVDFILE="97amanda"
+TMPENVFILE="${T}/${ENVDFILE}"
+
+# This is a complete list of Amanda settings that the ebuild takes from the
+# build environment. This allows users to alter the behavior of the package as
+# upstream intended, but keeping with Gentoo style. We store a copy of them in
+# /etc/env.d/97amanda during the install, so that they are preserved for future
+# installed. This variable name must not start with AMANDA_, as we do not want
+# it captured into the env file.
+ENV_SETTINGS_AMANDA="
+AMANDA_GROUP_GID AMANDA_GROUP_NAME
+AMANDA_USER_NAME AMANDA_USER_UID AMANDA_USER_SH AMANDA_USER_HOMEDIR 
AMANDA_USER_GROUPS
+AMANDA_SERVER AMANDA_SERVER_TAPE AMANDA_SERVER_TAPE_DEVICE AMANDA_SERVER_INDEX
+AMANDA_TAR_LISTDIR AMANDA_TAR
+AMANDA_PORTS_UDP AMANDA_PORTS_TCP AMANDA_PORTS_BOTH AMANDA_PORTS
+AMANDA_CONFIG_NAME AMANDA_TMPDIR"
+
+amanda_variable_setup() {
+
+       # Setting vars
+       local currentamanda
+
+       # Grab the current settings
+       currentamanda="$(set | egrep "^AMANDA_" | grep -v 
'^AMANDA_ENV_SETTINGS' | xargs)"
+
+       # First we set the defaults
+       [[ -z "${AMANDA_GROUP_GID}" ]] && AMANDA_GROUP_GID=87
+       [[ -z "${AMANDA_GROUP_NAME}" ]] && AMANDA_GROUP_NAME=amanda
+       [[ -z "${AMANDA_USER_NAME}" ]] && AMANDA_USER_NAME=amanda
+       [[ -z "${AMANDA_USER_UID}" ]] && AMANDA_USER_UID=87
+       [[ -z "${AMANDA_USER_SH}" ]] && AMANDA_USER_SH=/bin/bash
+       [[ -z "${AMANDA_USER_HOMEDIR}" ]] && 
AMANDA_USER_HOMEDIR=/var/spool/amanda
+       [[ -z "${AMANDA_USER_GROUPS}" ]] && 
AMANDA_USER_GROUPS="${AMANDA_GROUP_NAME}"
+
+       # This installs Amanda, with the server. However, it could be a client,
+       # just specify an alternate server name in AMANDA_SERVER.
+       [[ -z "${AMANDA_SERVER}" ]] && AMANDA_SERVER="${HOSTNAME}"
+       [[ -z "${AMANDA_SERVER_TAPE}" ]] && 
AMANDA_SERVER_TAPE="${AMANDA_SERVER}"
+       [[ -z "${AMANDA_SERVER_TAPE_DEVICE}" ]] && 
AMANDA_SERVER_TAPE_DEVICE="/dev/nst0"
+       [[ -z "${AMANDA_SERVER_INDEX}" ]] && 
AMANDA_SERVER_INDEX="${AMANDA_SERVER}"
+       [[ -z "${AMANDA_TAR_LISTDIR}" ]] && 
AMANDA_TAR_LISTDIR=${AMANDA_USER_HOMEDIR}/tar-lists
+       [[ -z "${AMANDA_CONFIG_NAME}" ]] && AMANDA_CONFIG_NAME=DailySet1
+       [[ -z "${AMANDA_TMPDIR}" ]] && AMANDA_TMPDIR=/var/tmp/amanda
+       [[ -z "${AMANDA_DBGDIR}" ]] && AMANDA_DBGDIR="$AMANDA_TMPDIR"
+       # These are left empty by default
+       [[ -z "${AMANDA_PORTS_UDP}" ]] && AMANDA_PORTS_UDP=
+       [[ -z "${AMANDA_PORTS_TCP}" ]] && AMANDA_PORTS_TCP=
+       [[ -z "${AMANDA_PORTS_BOTH}" ]] && AMANDA_PORTS_BOTH=
+       [[ -z "${AMANDA_PORTS}" ]] && AMANDA_PORTS=
+
+       # What tar to use
+       [[ -z "${AMANDA_TAR}" ]] && AMANDA_TAR=/bin/tar
+
+       # Now pull in the old stuff
+       if [[ -f "${EROOT}${ENVDIR}/${ENVDFILE}" ]]; then
+               # We don't just source it as we don't want everything in there.
+               eval $(egrep "^AMANDA_" "${EROOT}${ENVDIR}/${ENVDFILE}" | grep 
-v '^AMANDA_ENV_SETTINGS')
+       fi
+
+       # Re-apply the new settings if any
+       [ -n "${currentamanda}" ] && eval $(echo "${currentamanda}")
+
+}
+
+pkg_setup() {
+       amanda_variable_setup
+
+       # If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
+       # another host than HOSTNAME.
+       if use minimal && [ "${AMANDA_SERVER}" = "${HOSTNAME}" ] ; then
+               elog "You are installing a client-only version of Amanda."
+               elog "You should set the variable \$AMANDA_SERVER to point at 
your"
+               elog "Amanda-tape-server, otherwise you will have to specify 
its name"
+               elog "when using amrecover on the client."
+               elog "For example: Use something like"
+               elog "AMANDA_SERVER=\"myserver\" emerge amanda"
+               elog
+       fi
+
+       enewgroup "${AMANDA_GROUP_NAME}" "${AMANDA_GROUP_GID}"
+       enewuser "${AMANDA_USER_NAME}" "${AMANDA_USER_UID}" "${AMANDA_USER_SH}" 
"${AMANDA_USER_HOMEDIR}" "${AMANDA_USER_GROUPS}"
+}
+
+src_unpack() {
+       # we do not want the perl src_unpack
+       default_src_unpack
+}
+
+src_prepare() {
+       # gentoo bug #331111
+       sed -i '/^check-local: check-perl$/d' "${S}"/config/automake/scripts.am 
|| die
+       sed -i '/^check-local:/s,syntax-check,,g' "${S}"/perl/Makefile.am || die
+
+       # bug with glibc-2.16.0
+       sed -i -e '/gets is a security/d' "${S}"/gnulib/stdio.in.h || die
+
+       eautoreconf
+
+       # places for us to work in
+       mkdir -p "${MYFILESDIR}" || die
+       # Now we store the settings we just created
+       set | egrep "^AMANDA_" | grep -v '^AMANDA_ENV_SETTINGS' > 
"${TMPENVFILE}" || die
+
+       # Prepare our custom files
+       einfo "Building custom configuration files"
+       local i # our iterator
+       local sedexpr # var for sed expr
+       sedexpr=''
+       for i in ${ENV_SETTINGS_AMANDA} ; do
+               local val
+               eval "val=\"\${${i}}\""
+               sedexpr="${sedexpr}s|__${i}__|${val}|g;"
+       done
+
+       # now apply the sed expr
+       for i in "${FILESDIR}"/amanda-* ; do
+               sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}/`basename ${i}`" 
|| die
+       done
+
+       if use minimal; then
+               cat "${MYFILESDIR}"/amanda-amandahosts-server.5.1_p3-r1 > 
"${T}"/amandahosts || die
+       else
+               sed -i -e 's:^\(my $amandahomedir\)=.*:\1 = $localstatedir;:' \
+                       server-src/am{addclient,serverconfig}.pl || die
+               cat "${MYFILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 > 
"${T}"/amandahosts || die
+       fi
+
+       eapply_user
+}
+
+src_configure() {
+       # fix bug #36316
+       addpredict /var/cache/samba/gencache.tdb
+       # fix bug #376169
+       addpredict /run/blkid
+       addpredict /etc/blkid.tab
+
+       [ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) 
should exist!"
+       source "${TMPENVFILE}"
+       local myconf
+
+       einfo "Using ${AMANDA_SERVER_TAPE} for tape server."
+       myconf="${myconf} --with-tape-server=${AMANDA_SERVER_TAPE}"
+       einfo "Using ${AMANDA_SERVER_TAPE_DEVICE} for tape server."
+       myconf="${myconf} --with-tape-device=${AMANDA_SERVER_TAPE_DEVICE}"
+       einfo "Using ${AMANDA_SERVER_INDEX} for index server."
+       myconf="${myconf} --with-index-server=${AMANDA_SERVER_INDEX}"
+       einfo "Using ${AMANDA_USER_NAME} for amanda user."
+       myconf="${myconf} --with-user=${AMANDA_USER_NAME}"
+       einfo "Using ${AMANDA_GROUP_NAME} for amanda group."
+       myconf="${myconf} --with-group=${AMANDA_GROUP_NAME}"
+       einfo "Using ${AMANDA_TAR} as Tar implementation."
+       myconf="${myconf} --with-gnutar=${AMANDA_TAR}"
+       einfo "Using ${AMANDA_TAR_LISTDIR} as tar listdir."
+       myconf="${myconf} --with-gnutar-listdir=${AMANDA_TAR_LISTDIR}"
+       einfo "Using ${AMANDA_CONFIG_NAME} as default config name."
+       myconf="${myconf} --with-config=${AMANDA_CONFIG_NAME}"
+       einfo "Using ${AMANDA_TMPDIR} as Amanda temporary directory."
+       myconf="${myconf} --with-tmpdir=${AMANDA_TMPDIR}"
+
+       if [ -n "${AMANDA_PORTS_UDP}" ] && [ -n "${AMANDA_PORTS_TCP}" ] && [ -z 
"${AMANDA_PORTS_BOTH}" ] ; then
+               eerror "If you want _both_ UDP and TCP ports, please use only 
the"
+               eerror "AMANDA_PORTS environment variable for identical ports, 
or set"
+               eerror "AMANDA_PORTS_BOTH."
+               die "Bad port setup!"
+       fi
+       if [ -n "${AMANDA_PORTS_UDP}" ]; then
+               einfo "Using UDP ports ${AMANDA_PORTS_UDP/,/-}"
+               myconf="${myconf} --with-udpportrange=${AMANDA_PORTS_UDP}"
+       fi
+       if [ -n "${AMANDA_PORTS_TCP}" ]; then
+               einfo "Using TCP ports ${AMANDA_PORTS_TCP/,/-}"
+               myconf="${myconf} --with-tcpportrange=${AMANDA_PORTS_TCP}"
+       fi
+       if [ -n "${AMANDA_PORTS}" ]; then
+               einfo "Using ports ${AMANDA_PORTS/,/-}"
+               myconf="${myconf} --with-portrange=${AMANDA_PORTS}"
+       fi
+
+       # Extras
+       # Speed option
+       myconf="${myconf} --with-buffered-dump"
+       # "debugging" in the configuration is NOT debug in the conventional 
sense.
+       # It is actually just useful output in the application, and should 
remain
+       # enabled. There are some cases of breakage with MTX tape changers as of
+       # 2.5.1p2 that it exposes when turned off as well.
+       myconf="${myconf} --with-debugging"
+       # Where to put our files
+       myconf="${myconf} --localstatedir=${AMANDA_USER_HOMEDIR}"
+
+       # Samba support
+       myconf="${myconf} $(use_with samba smbclient /usr/bin/smbclient)"
+
+       # Support for BSD, SSH, BSDUDP, BSDTCP security methods all compiled in 
by
+       # default
+       myconf="${myconf} --with-bsd-security"
+       myconf="${myconf} --with-ssh-security"
+       myconf="${myconf} --with-bsdudp-security"
+       myconf="${myconf} --with-bsdtcp-security"
+
+       # kerberos-security mechanism version 5
+       myconf="${myconf} $(use_with kerberos krb5-security)"
+
+       # Amazon S3 support
+       myconf="${myconf} `use_enable s3 s3-device`"
+
+       # libcurl is required for S3 but otherwise optional
+       if ! use s3; then
+               myconf="${myconf} $(use_with curl libcurl)"
+       fi
+
+       # Client only, as requested in bug #127725
+       if use minimal ; then
+               myconf="${myconf} --without-server"
+       else
+               # amplot
+               myconf="${myconf} $(use_with gnuplot)"
+       fi
+
+       # IPv6 fun.
+       myconf="${myconf} `use_with ipv6`"
+       # This is to prevent the IPv6-is-working test
+       # As the test fails on binpkg build hosts with no IPv6.
+       use ipv6 && export amanda_cv_working_ipv6=yes
+
+       # I18N
+       myconf="${myconf} `use_enable nls`"
+
+       # Bug #296634: Perl location
+       perl_set_version
+       myconf="${myconf} --with-amperldir=${VENDOR_LIB}"
+
+       # Bug 296633: --disable-syntax-checks
+       # Some tests are not safe for production systems
+       myconf="${myconf} --disable-syntax-checks"
+
+       # build manpages
+       myconf="${myconf} --enable-manpage-build"
+
+       # bug #483120
+       tc-export AR
+
+       econf \
+               $(use_with readline) \
+               ${myconf}
+}
+
+src_compile() {
+       # Again, do not want the perl-module src_compile
+       default_src_compile
+}
+
+src_install() {
+       [ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) 
should exist!"
+       source ${TMPENVFILE}
+
+       einfo "Doing stock install"
+       emake DESTDIR="${D}" install || die
+
+       # Build the envdir file
+       # Don't forget this..
+       einfo "Building environment file"
+       (
+               echo "# These settings are what was present in the environment 
when this"
+               echo "# Amanda was compiled.  Changing anything below this 
comment will"
+               echo "# have no effect on your application, but it merely 
exists to"
+               echo "# preserve them for your next emerge of Amanda"
+               cat "${TMPENVFILE}" | sed "s,=\$,='',g"
+       ) >> "${MYFILESDIR}/${ENVDFILE}"
+
+       # Env.d
+       einfo "Installing environment config file"
+       doenvd "${MYFILESDIR}/${ENVDFILE}"
+
+       # Lock down next section (up until docs).
+       insopts -m0640
+       # Installing Amanda Xinetd Services Definition
+       einfo "Installing xinetd service file"
+       insinto /etc/xinetd.d
+       if use minimal ; then
+               newins "${MYFILESDIR}"/amanda-xinetd-2.6.1_p1-client amanda
+       else
+               newins "${MYFILESDIR}"/amanda-xinetd-2.6.1_p1-server amanda
+       fi
+
+       if ! use minimal; then
+               einfo "Installing Sample Daily Cron Job for Amanda"
+               insinto /etc/cron.daily
+               newins "${MYFILESDIR}/amanda-cron" amanda
+       fi
+
+       einfo "Installing systemd service and socket files for Amanda"
+       systemd_dounit "${FILESDIR}"/amanda.socket || die
+       systemd_newunit "${FILESDIR}"/amanda.service 'amanda@.service' || die
+
+       insinto /etc/amanda
+       einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
+       doins "${T}/amandahosts"
+       fperms 600 /etc/amanda/amandahosts
+
+       dosym /etc/amanda/amandahosts "${AMANDA_USER_HOMEDIR}/.amandahosts"
+       insinto "${AMANDA_USER_HOMEDIR}"
+       einfo "Installing .profile for ${AMANDA_USER_NAME} user"
+       newins "${MYFILESDIR}/amanda-profile" .profile
+
+       insinto /etc/amanda
+       doins "${S}/example/amanda-client.conf"
+       if ! use minimal ; then
+               insinto "/etc/amanda/${AMANDA_CONFIG_NAME}"
+               doins "${S}/example/amanda.conf"
+               doins "${S}/example/disklist"
+               keepdir "${AMANDA_USER_HOMEDIR}/${AMANDA_CONFIG_NAME}/index"
+       fi
+
+       keepdir "${AMANDA_TAR_LISTDIR}"
+       keepdir "${AMANDA_USER_HOMEDIR}/amanda"
+       keepdir "${AMANDA_TMPDIR}/dumps"
+       # Just make sure it exists for XFS to work...
+       use xfs && keepdir /var/xfsdump/inventory
+
+       local i
+       for i in "${AMANDA_USER_HOMEDIR}" "${AMANDA_TAR_LISTDIR}" \
+               "${AMANDA_TMPDIR}" /etc/amanda; do
+               einfo "Securing directory (${i})"
+               fowners -R ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${i}
+       done
+       # Do NOT use -R
+       fperms 0700 \
+               "${AMANDA_USER_HOMEDIR}" "${AMANDA_TAR_LISTDIR}" \
+               "${AMANDA_TMPDIR}" "${AMANDA_TMPDIR}/dumps" \
+                "${AMANDA_USER_HOMEDIR}/amanda" \
+                /etc/amanda
+
+       if ! use minimal ; then
+               fperms 0700 \
+                        "${AMANDA_USER_HOMEDIR}/${AMANDA_CONFIG_NAME}" \
+                /etc/amanda/${AMANDA_CONFIG_NAME}
+       fi
+
+       einfo "Setting setuid permissions"
+       amanda_permissions_fix "${D}"
+
+       # Relax permissions again
+       insopts -m0644
+
+       # docs
+       einfo "Installing documentation"
+       dodoc AUTHORS ChangeLog DEVELOPING NEWS README ReleaseNotes UPGRADING
+       # our inetd sample
+       einfo "Installing standard inetd sample"
+       newdoc "${MYFILESDIR}/amanda-inetd.amanda.sample-2.6.0_p2-r2" 
amanda-inetd.amanda.sample
+       # Amanda example configs
+       einfo "Installing example configurations"
+       rm "${D}"/usr/share/amanda/{COPYRIGHT,ChangeLog,NEWS,ReleaseNotes}
+       mv "${D}/usr/share/amanda/example" "${D}/usr/share/doc/${PF}/"
+       docinto example1
+       newdoc "${FILESDIR}/example_amanda.conf" amanda.conf
+       newdoc "${FILESDIR}/example_disklist-2.5.1_p3-r1" disklist
+       newdoc "${FILESDIR}/example_global.conf" global.conf
+
+       einfo "Cleaning up dud .la files"
+       perl_set_version
+       find "${D}"/"${VENDOR_LIB}" -name '*.la' -print0 |xargs -0 rm -f
+}
+
+pkg_postinst() {
+       [ ! -f "${TMPENVFILE}" -a "$MERGE_TYPE" == "binary" ] && \
+               TMPENVFILE="${ROOT}${ENVDIR}/${ENVDFILE}"
+       [ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) 
should exist!"
+       source "${TMPENVFILE}"
+
+       # Migration of amandates from /etc to $localstatedir/amanda
+       if [ -f "${ROOT}/etc/amandates" -a \
+               ! -f "${ROOT}/${AMANDA_USER_HOMEDIR}/amanda/amandates" ]; then
+               einfo "Migrating amandates from /etc/ to 
${AMANDA_USER_HOMEDIR}/amanda"
+               einfo "A backup is also placed at /etc/amandates.orig"
+               cp -dp "${ROOT}/etc/amandates" "${ROOT}/etc/amandates.orig"
+               mkdir -p "${ROOT}/${AMANDA_USER_HOMEDIR}/amanda/"
+               cp -dp "${ROOT}/etc/amandates" 
"${ROOT}/${AMANDA_USER_HOMEDIR}/amanda/amandates"
+       fi
+       if [ -f "${ROOT}/etc/amandates" ]; then
+               einfo "If you have migrated safely, please delete 
/etc/amandates"
+       fi
+
+       einfo "Checking setuid permissions"
+       amanda_permissions_fix "${ROOT}"
+
+       elog "You should configure Amanda in /etc/amanda now."
+       elog
+       elog "If you use xinetd, Don't forget to check /etc/xinetd.d/amanda"
+       elog "and restart xinetd afterwards!"
+       elog
+       elog "Otherwise, please look at 
/usr/share/doc/${PF}/inetd.amanda.sample"
+       elog "as an example of how to configure your inetd."
+       elog
+       elog "systemd-users: enable and start amanda.socket or the relevant 
services"
+       elog "regarding what auth method you use."
+       elog
+       elog "NOTICE: If you need raw access to partitions you need to add the"
+       elog "amanda user to the 'disk' group."
+       elog
+       elog "NOTICE: If you have a tape changer, you need to add the amanda 
user"
+       elog "to the 'tape' group."
+       elog
+       elog "If you use localhost in your disklist your restores may break."
+       elog "You should replace it with the actual hostname!"
+       elog "Please also see the syntax changes to amandahosts."
+       elog "The only exception is when you use the authentication method 
'local'."
+       elog
+       elog "Please note that this package no longer explicitly depends on"
+       elog "virtual/inetd, as it supports modes where an inetd is not needed"
+       elog "(see bug #506028 for details)."
+}
+
+# We have had reports of amanda file permissions getting screwed up.
+# Losing setuid, becoming too lax etc.
+# ONLY root and users in the amanda group should be able to run these binaries!
+amanda_permissions_fix() {
+       local root="$1"
+       [ -z "${root}" ] && die "Failed to pass root argument to 
amanda_permissions_fix!"
+       local le="/usr/libexec/amanda"
+       for i in /usr/sbin/amcheck "${le}"/calcsize "${le}"/killpgrp \
+               "${le}"/rundump "${le}"/runtar "${le}"/dumper \
+               "${le}"/planner ; do
+               chown root:${AMANDA_GROUP_NAME} "${root}"/${i}
+               chmod u=srwx,g=rx,o= "${root}"/${i}
+       done
+}

diff --git a/app-backup/amanda/files/amanda-3.4.1-labelstr.patch 
b/app-backup/amanda/files/amanda-3.4.1-labelstr.patch
new file mode 100644
index 00000000..b169c8a
--- /dev/null
+++ b/app-backup/amanda/files/amanda-3.4.1-labelstr.patch
@@ -0,0 +1,164 @@
+diff --git a/installcheck/Amanda_Rest_Storages.pl 
b/installcheck/Amanda_Rest_Storages.pl
+index f3c699b..3e4e889 100644
+--- a/installcheck/Amanda_Rest_Storages.pl
++++ b/installcheck/Amanda_Rest_Storages.pl
+@@ -308,6 +308,7 @@ is_deeply (Installcheck::Rest::remove_source_line($reply),
+               'inventory' => [
+                                {'current' => 1,
+                                 'label' => "DISKFLAT-001",
++                                'label_match' => '1',
+                                 'device_status' => '0',
+                                 'reserved' => 0,
+                                 'f_type' => '1',
+@@ -467,6 +468,7 @@ is_deeply (Installcheck::Rest::remove_source_line($reply),
+               'label' => 'DISKFLAT-001',
+               'datestamp' => '20140509113436',
+               'write_protected' => '',
++              'label_match' => '1',
+               'process' => 'Amanda::Rest::Storages',
+               'running_on' => 'amanda-server',
+               'component' => 'rest-server',
+diff --git a/installcheck/amtape.pl b/installcheck/amtape.pl
+index 1a3527f..700c5a2 100644
+--- a/installcheck/amtape.pl
++++ b/installcheck/amtape.pl
+@@ -177,13 +177,13 @@ like($Installcheck::Run::stderr,
+ ok(run('amtape', 'TESTCONF', 'show'),
+     "'amtape TESTCONF show'");
+ like($Installcheck::Run::stderr,
+-    qr/slot +2:.*label MyTape\nslot +3/,
++    qr/slot +2:.*label MyTape \(label do not match labelstr\)\nslot +3/,
+     "'amtape TESTCONF show' ..result correct");
+ 
+ ok(run('amtape', 'TESTCONF', 'show', '2'),
+     "'amtape TESTCONF show'");
+ like($Installcheck::Run::stderr,
+-    qr/^slot +2:.*label MyTape$/,
++    qr/^slot +2:.*label MyTape \(label do not match labelstr\)$/,
+     "'amtape TESTCONF show 2' ..result correct");
+ 
+ ok(run('amtape', 'TESTCONF', 'show', '1,3'),
+@@ -252,13 +252,13 @@ like(run_err('amtape', 'TESTCONF', 'update'),
+ ok(run('amtape', 'TESTCONF', 'show'),
+     "'amtape TESTCONF show'");
+ like($Installcheck::Run::stderr,
+-    qr/slot +2:.*label MyTape\nslot +3/,
++    qr/slot +2:.*label MyTape \(label do not match labelstr\)\nslot +3/,
+     "..result correct");
+ 
+ ok(run('amtape', 'TESTCONF', 'inventory'),
+     "'amtape TESTCONF inventory'");
+ like($Installcheck::Run::stdout,
+-    qr/slot +1: blank\nslot +2: label MyTape \(current\)\nslot +3/,
++    qr/slot +1: blank\nslot +2: label MyTape \(current\) \(label do not match 
labelstr\)\nslot +3/,
+     "..result correct");
+ 
+ ok(run('amtape', 'TESTCONF', 'taper'),
+diff --git a/perl/Amanda/Changer.pm b/perl/Amanda/Changer.pm
+index 92ed9b6..4b4aad4 100644
+--- a/perl/Amanda/Changer.pm
++++ b/perl/Amanda/Changer.pm
+@@ -60,9 +60,10 @@ sub local_message {
+     } elsif ($self->{'code'} == 1100014) {
+       return "$self->{'err'}";
+     } elsif ($self->{'code'} == 1100015) {
+-      return sprintf("slot %3s: date %-14s label %s%s", $self->{'slot'},
++      return sprintf("slot %3s: date %-14s label %s%s%s", $self->{'slot'},
+                       $self->{'datestamp'}, $self->{'label'},
+-                      $self->{'write_protected'}?" (Write protected)":"");
++                      $self->{'write_protected'}?" (Write protected)":"",
++                      $self->{'label_match'}?"":" (label do not match 
labelstr)");
+     } elsif ($self->{'code'} == 1100016) {
+       return sprintf("slot %3s: unlabeled volume%s", $self->{'slot'},
+                        $self->{'write_protected'}?" (Write protected)":"");
+@@ -2014,6 +2015,13 @@ sub show {
+           my $st = $dev->read_label();
+           my $write_protected = !$dev->check_writable();
+           if ($st == $DEVICE_STATUS_SUCCESS) {
++              my $label_match = match_labelstr(
++                                      $self->{'storage'}->{'labelstr'},
++                                      $self->{'storage'}->{'autolabel'},
++                                      $dev->volume_label(),
++                                      $res->{'barcode'},
++                                      $res->{'meta'},
++                                      $self->{'storage'}->{'storage_name'});
+               $params{'user_msg'}->(Amanda::Changer::Message->new(
+                                       source_filename => __FILE__,
+                                       source_line => __LINE__,
+@@ -2022,7 +2030,8 @@ sub show {
+                                       slot   => $last_slot,
+                                       datestamp  => $dev->volume_time(),
+                                       label  => $dev->volume_label(),
+-                                      write_protected => $write_protected));
++                                      write_protected => $write_protected,
++                                      label_match => $label_match));
+           } elsif ($st == $DEVICE_STATUS_VOLUME_UNLABELED) {
+               $params{'user_msg'}->(Amanda::Changer::Message->new(
+                                       source_filename => __FILE__,
+diff --git a/perl/Amanda/Rest/Storages.pm b/perl/Amanda/Rest/Storages.pm
+index 680115b..b1b59d2 100644
+--- a/perl/Amanda/Rest/Storages.pm
++++ b/perl/Amanda/Rest/Storages.pm
+@@ -436,6 +436,17 @@ sub inventory {
+                   $inv->{'retention_type'} = 
$tl->get_retention_name($retention_type);
+               }
+           }
++          for my $inv (@$inventory) {
++              if ($inv->{label}) {
++                  $inv->{'label_match'} = Amanda::Util::match_labelstr(
++                              $storage->{'labelstr'},
++                              $storage->{'autolabel'},
++                              $inv->{'label'},
++                              $inv->{'barcode'},
++                              $inv->{'metae'},
++                              $storage->{'storage_name'});
++              }
++          }
+           push @result_messages, Amanda::Changer::Message->new(
+                               source_filename => __FILE__,
+                               source_line     => __LINE__,
+diff --git a/server-src/amtape.pl b/server-src/amtape.pl
+index b63607e..d06eefe 100644
+--- a/server-src/amtape.pl
++++ b/server-src/amtape.pl
+@@ -30,7 +30,7 @@ use Text::Wrap;
+ use Amanda::Device qw( :constants );
+ use Amanda::Debug qw( :logging );
+ use Amanda::Config qw( :init :getconf config_dir_relative );
+-use Amanda::Util qw( :constants );
++use Amanda::Util qw( :constants match_labelstr );
+ use Amanda::Storage;
+ use Amanda::Changer;
+ use Amanda::Constants;
+@@ -219,6 +219,7 @@ sub {
+       for my $sl (@$inv) {
+           my $line = "slot $sl->{slot}:";
+           my $tle;
++          my $meta;
+           if ($sl->{'state'} == Amanda::Changer::SLOT_EMPTY) {
+               $line .= " empty";
+           } elsif (!defined($sl->{device_status}) && !defined($sl->{label})) {
+@@ -230,6 +231,7 @@ sub {
+                   if (defined $tle) {
+                       if ($tle->{'meta'}) {
+                               $line .= " ($tle->{'meta'})";
++                              $meta = $tle->{'meta'};
+                       }
+                   }
+               } elsif ($sl->{'device_status'} == 
$DEVICE_STATUS_VOLUME_UNLABELED) {
+@@ -263,6 +265,15 @@ sub {
+                   $line .= " [device error]";
+               }
+           }
++          if ($sl->{'label'}) {
++              if (!match_labelstr($storage->{'labelstr'},
++                                  $storage->{'autolabel'},
++                                  $sl->{label},
++                                  $sl->{'barcode'}, $meta,
++                                  $storage->{'storage_name'})) {
++                  $line .= " (label do not match labelstr)";
++              }
++          }
+           if (defined $tle) {
+               my $retention_type = 
Amanda::Tapelist::get_retention_type($tle->{pool}, $tle->{label});
+               $line .= " [" . $tl->get_retention_name($retention_type) . "]";

diff --git a/app-backup/amanda/files/amanda-3.4.1-slots.patch 
b/app-backup/amanda/files/amanda-3.4.1-slots.patch
new file mode 100644
index 00000000..1e4e583
--- /dev/null
+++ b/app-backup/amanda/files/amanda-3.4.1-slots.patch
@@ -0,0 +1,16 @@
+diff --git a/perl/Amanda/Changer/aggregate.pm 
b/perl/Amanda/Changer/aggregate.pm
+index a2bd962..ecf9d28 100644
+--- a/perl/Amanda/Changer/aggregate.pm
++++ b/perl/Amanda/Changer/aggregate.pm
+@@ -391,7 +391,10 @@ sub info_key {
+           my $kid = 0;
+           for (@$kid_results) {
+               my ($err, %kid_info) = @$_;
+-              next unless exists($kid_info{'slots'});
++              if (!exists($kid_info{'slots'})){
++                  $kid++;
++                  next;
++              }
+               my $kid_slots = $kid_info{'slots'};
+               push @slots, map "$kid:$_", @{$kid_slots};
+               $kid++;

Reply via email to